Files | Defines | Functions | Variables

# Wireless UART Firmware
[Applications]

This application implements a simple configurable wirless UART.
More...

## Files
file | wuart.c

| Implementation of a Wireless UART.
## Defines
#define | SW_VERSION (0x03)
## Functions
void | do_configure_dialog (void)
| ISR (TIMER_IRQ_vect)
int | main (void)
void | usr_radio_error (radio_error_t err)
| Callback for errors in radio module functions.
uint8_t * | usr_radio_receive_frame (uint8_t len, uint8_t *frm, uint8_t lqi, int8_t ed, uint8_t crc)
| Frame reception callback function.
void | usr_radio_tx_done (radio_tx_done_t status)
| Callback function for TX_END IRQ.
## Variables
volatile int16_t | EscapeTmoCounter
volatile int8_t | LastTransmitCounter
const node_config_t PROGMEM | nc_flash
node_config_t | NodeConfig
volatile uint8_t | RxbufIdx = 0
volatile uint16_t | SendPingReply = 0xffff
volatile bool | TxPending
volatile wuart_state_t | WuartState

## Detailed Description

This application implements a simple configurable wirless UART.

## Define Documentation

#define SW_VERSION (0x03)

## Function Documentation

void do_configure_dialog | ( | void |  | ) |

Configure wuart parameters.

ISR | ( | TIMER_IRQ_vect |  | ) |

Timer ISR

int main | ( | void |  | ) |

Main function of the WUART application.

void usr_radio_error | ( | radio_error_t | err | ) |

Callback for errors in radio module functions.

Error callback function which has to be implemented in the application.

This function is called, when a fatal error occurs. see also radio_error_t.

Parameters:

  | err | error code being reported

uint8_t* usr_radio_receive_frame | ( | uint8_t | len,
|  | uint8_t * | frm,
|  | uint8_t | lqi,
|  | int8_t | ed,
|  | uint8_t | crc |
| ) |  |  |

Frame reception callback function.

Implementation of callback function for wuart.

Frame reception callback function.

Implementation of callback function for wuart.

void usr_radio_tx_done | ( | radio_tx_done_t | status | ) |

Callback function for TX_END IRQ.

Implementation of callback function usr_radio_tx_done.

## Variable Documentation

const node_config_t PROGMEM nc_flash

Initial value:

     { .short_addr = 0xFECA,
                                       .pan_id = 0x3412,
                                       .channel = DEFAULT_RADIO_CHANNEL,
                                     }